#!/bin/sh

# This is an example how to use this program to create a topic model from a text corpus

# requirements:
#  1) numpy, available from http://numpy.scipy.org/ 
#  2) please compile the C extension. For this you need to set includes in Makefile correctly to python and numpy headers!
#  3) download and gunzip the example corpus : http://archive.ics.uci.edu/ml/machine-learning-databases/bag-of-words/docword.kos.txt.gz

# assuming all three above points are satisfied we can execute following commands:

#build a model
python lda.py --input docword.kos.txt --output model_kos.pickle --n_topics 100 --alfa 0.5 --beta 0.01
#and test 
python lda.py --input docword.kos.txt --test model_kos.pickle

